erlang-dialyzer_20.2.2+dfsg-1ubuntu2_amd64.deb


Advertisement

Description

erlang-dialyzer - Erlang/OTP discrepancy analyzer application

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name erlang-dialyzer
Package version 20.2.2+dfsg
Package release 1ubuntu2
Package architecture amd64
Package type deb
Installed size 1.00 KB
Download size 656.88 KB
Official Mirror archive.ubuntu.com
Dialyzer is a static analysis tool that identifies software
discrepancies such as type errors, unreachable code, unnecessary
tests etc. in single Erlang modules or entire (sets of) applications.

Alternatives

Package Version Architecture Repository
erlang-dialyzer_20.2.2+dfsg-1ubuntu2_i386.deb 20.2.2+dfsg i386 Ubuntu Universe
erlang-dialyzer - - -

Requires

Name Value
erlang-base = 1:20.2.2+dfsg-1ubuntu2
erlang-base-hipe = 1:20.2.2+dfsg-1ubuntu2
erlang-syntax-tools = 1:20.2.2+dfsg-1ubuntu2
libc6 >= 2.14

Replaces

Name Value
erlang << 1:20.2.2+dfsg-1ubuntu2
erlang-base << 1:20.2.2+dfsg-1ubuntu2
erlang-base-hipe << 1:20.2.2+dfsg-1ubuntu2
erlang-dev << 1:20.2.2+dfsg-1ubuntu2
erlang-doc >> 1:20.2.2+dfsg-999
erlang-doc << 1:20.2.2+dfsg
erlang-examples << 1:20.2.2+dfsg-1ubuntu2
erlang-manpages <= 1:11.b.1-2
erlang-mode << 1:12.b.1-dfsg-2
erlang-nox << 1:20.2.2+dfsg-1ubuntu2
erlang-src << 1:20.2.2+dfsg-1ubuntu2
erlang-x11 << 1:20.2.2+dfsg-1ubuntu2

Download

Type URL
Binary Package erlang-dialyzer_20.2.2+dfsg-1ubuntu2_amd64.deb
Source Package erlang

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install erlang-dialyzer deb package:
    # sudo apt-get install erlang-dialyzer

Files

Path
/usr/bin/dialyzer
/usr/lib/erlang/bin/dialyzer
/usr/lib/erlang/erts-9.2/bin/dialyzer
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer.app
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer.appup
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_analysis_callgraph.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_behaviours.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_callgraph.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_cl.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_cl_parse.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_codeserver.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_contracts.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_coordinator.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_dataflow.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_dep.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_explanation.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_gui_wx.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_options.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_plt.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_race_data_server.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_races.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_succ_typings.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_timing.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_typesig.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_utils.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/dialyzer_worker.beam
/usr/lib/erlang/lib/dialyzer-3.2.3/ebin/typer.beam
/usr/share/doc/erlang-dialyzer/AUTHORS.gz
/usr/share/doc/erlang-dialyzer/README.Debian.gz
/usr/share/doc/erlang-dialyzer/TODO.Debian
/usr/share/doc/erlang-dialyzer/changelog.Debian.gz
/usr/share/doc/erlang-dialyzer/copyright
/usr/share/man/man1/dialyzer.1.gz

Changelog

2018-02-05 - Dimitri John Ledkov <xnox@ubuntu.com>
erlang (1:20.2.2+dfsg-1ubuntu2) bionic; urgency=high
* No change rebuild against openssl1.1.
2017-12-26 - Gianfranco Costamagna <locutusofborg@debian.org>
erlang (1:20.2.2+dfsg-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
relevant bits of the build process, enabling IPv6 support.
- Drop erlang-wx from the Recommends: of erlang-examples, so that this
still stays out of main.
- d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).
2017-12-24 - Sergei Golovan <sgolovan@debian.org>
erlang (1:20.2.2+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2017-12-18 - Gianfranco Costamagna <locutusofborg@debian.org>
erlang (1:20.2.1+dfsg-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
relevant bits of the build process, enabling IPv6 support.
- Drop erlang-wx from the Recommends: of erlang-examples, so that this
still stays out of main.
- d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).
2017-12-17 - Sergei Golovan <sgolovan@debian.org>
erlang (1:20.2.1+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
* Refreshed patches.
* Removed a patch which fixed crash in OpenGL applications since it's
already applied upstream.
* Bumped standards version to 4.1.2.
2017-11-28 - Gianfranco Costamagna <locutusofborg@debian.org>
erlang (1:20.1.7+dfsg-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
relevant bits of the build process, enabling IPv6 support.
- Drop erlang-wx from the Recommends: of erlang-examples, so that this
still stays out of main.
- d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).
2017-11-27 - Sergei Golovan <sgolovan@debian.org>
erlang (1:20.1.7+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
* Applied a patch from upstream to fix crash in OpenGL applications like
wings3d (closes: #881156).
2017-11-22 - Gianfranco Costamagna <locutusofborg@debian.org>
erlang (1:20.1.6+dfsg-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
relevant bits of the build process, enabling IPv6 support.
- Drop erlang-wx from the Recommends: of erlang-examples, so that this
still stays out of main.
- d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).
2017-11-21 - Sergei Golovan <sgolovan@debian.org>
erlang (1:20.1.6+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2017-11-16 - Gianfranco Costamagna <locutusofborg@debian.org>
erlang (1:20.1.5+dfsg-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
relevant bits of the build process, enabling IPv6 support.
- Drop erlang-wx from the Recommends: of erlang-examples, so that this
still stays out of main.
- d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

See Also

Package Description
erlang-esdl-dev_1.3.1-3_all.deb Erlang bindings to the SDL (development files)
erlang-esdl-doc_1.3.1-3_all.deb Erlang bindings to the SDL (documentation)
erlang-esdl_1.3.1-3_amd64.deb Erlang bindings to the Simple Direct Media Library
erlang-et_20.2.2+dfsg-1ubuntu2_amd64.deb Erlang/OTP event tracer application
erlang-folsom-dev_0.8.2+dfsg-1_amd64.deb Erlang based metrics system inspired by Coda Hale's metrics
erlang-folsom_0.8.2+dfsg-1_amd64.deb Erlang based metrics system inspired by Coda Hale's metrics
erlang-fs-listener_4.1-1_amd64.deb Erlang filesystem listener
erlang-getopt_1.0.1-1_amd64.deb Erlang library for command-line processing
erlang-goldrush_0.1.9-4_amd64.deb small Erlang app that provides fast event stream processing
erlang-guestfs_1.36.13-1ubuntu3_amd64.deb guest disk image management system - Erlang bindings
erlang-ic-java_20.2.2+dfsg-1ubuntu2_all.deb Erlang/OTP IDL compiler (Java classes)
erlang-jiffy_0.14.11+dfsg-2_amd64.deb JSON NIFs (Native Implemented Functions) for Erlang
erlang-jinterface_20.2.2+dfsg-1ubuntu2_all.deb Java communication tool to Erlang
erlang-jose_1.8.4-2_amd64.deb JSON Object Signing and Encryption (JOSE) for Erlang
erlang-lager_3.5.2-2_amd64.deb logging framework for Erlang
Advertisement
Advertisement